/**
 * 
 */
package de.dhbwstuttgart.bytecode.genericsGenerator;

import java.util.List;

import de.dhbwstuttgart.bytecode.genericsGeneratorTypes.NameReplacementResult;
import de.dhbwstuttgart.bytecode.genericsGeneratorTypes.GenericsGeneratorResult;

/**
 * This class represents the result of the constraints simplifier.
 * 
 * @author fayez
 *
 */
public class ConstraintsSimplierResult {
	private List<GenericsGeneratorResult> genericsGenResults;
	private List<NameReplacementResult> nameReplacementResults;
	/**
	 * @param genericsGenResults
	 */
	public ConstraintsSimplierResult(List<GenericsGeneratorResult> genericsGenResults, 
			List<NameReplacementResult> nameReplacementResults) {
		this.genericsGenResults = genericsGenResults;
		this.setNameReplacementResults(nameReplacementResults);
	}
	/**
	 * @return the genericsGenResults
	 */
	public List<GenericsGeneratorResult> getGenericsGenResults() {
		return genericsGenResults;
	}
	/**
	 * @param genericsGenResults the genericsGenResults to set
	 */
	public void setGenericsGenResults(List<GenericsGeneratorResult> genericsGenResults) {
		this.genericsGenResults = genericsGenResults;
	}
	/**
	 * @return the nameReplacementResults
	 */
	public List<NameReplacementResult> getNameReplacementResults() {
		return nameReplacementResults;
	}
	/**
	 * @param nameReplacementResults the nameReplacementResults to set
	 */
	public void setNameReplacementResults(List<NameReplacementResult> nameReplacementResults) {
		this.nameReplacementResults = nameReplacementResults;
	}
	
}
